Re: Module loading on demand

From: Mikael Pettersson (mikpe@user.it.uu.se)
Date: Sat Feb 22 2003 - 10:45:48 EST


On Sat, 22 Feb 2003 08:43:29 -0500 (EST), Bill Davidsen wrote:
>I note that with "new modules" modules no longer seem to load as needed
>but must be loaded by hand or explicitly in modprobe.conf.

If this is the RedHat system you mentioned in your post on sym53c8xx
loading oddity, then you need apply the fix below which I posted to
LKML on Jan 19th.

===snip===
If you're running a RedHat system, you'll also need the following
patch to /etc/rc.d/rc.sysinit. Without it the kernel's modprobe and
hotplug functionalities will be disabled by rc.sysinit.

--- /etc/rc.d/rc.sysinit.~1~ 2002-08-22 23:10:52.000000000 +0200
+++ /etc/rc.d/rc.sysinit 2003-01-14 03:04:57.000000000 +0100
@@ -334,7 +334,7 @@
     IN_INITLOG=
 fi
 
-if ! grep -iq nomodules /proc/cmdline 2>/dev/null && [ -f /proc/ksyms ]; then
+if ! grep -iq nomodules /proc/cmdline 2>/dev/null && [ -f /proc/modules ]; then
     USEMODULES=y
 fi
 

(RedHat users should also comment out or remove the /sbin/update line in
/etc/inittab, but that's unrelated to the use of modules.)
===snip===

/Mikael
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/



This archive was generated by hypermail 2b29 : Sun Feb 23 2003 - 22:00:36 EST